Subject: bug#16840: 24.3.50; Jerky motion and up/down asymmetry scrolling images in Eww

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Feb 2014 20:05:40 +0200

> From: [email-masked] (N. Jackson)
> Cc:  [email-masked]
> Date: Sat, 22 Feb 2014 13:15:53 -0400
> 
> >> At some point (and it's approximately when two lines are visible below
> >> the image) the cursor jumps to the line below the image, and, most
> >> unfortunately, the window scrolls so that that line is the top line in
> >> the window. This results in a huge jerk, and it also means that the
> >> image has disappeared before you can read a caption directly below it.
> >
> > Wasn't the caption visible before the jump?
> 
> The first line of it, but if there were a two-line gap instead of a
> one-line gap between the image and its caption, it wouldn't be visible.

But a two-line gap would mean one more empty line, so I think the
caption would still be visible.

> >> Furthermore, while scrolling one key press at a time like this, there
> >> are occasional "glitches" where the image jumps back to the position it
> >> was in immediately before scrolling started.
> >
> > I don't see it with images I tried.  It would be best if you could
> > provide a reproducible recipe, with a specific image, starting from
> > "emacs -Q", that shows these glitches.
> 
> If it is reproducible on demand, I don't see the pattern. That's what I
> meant by the "occasional" in my description.

I think I found the way of reproducing this, and I will look into
that.

> After the "glitch" occurs at the beginning of scrolling an image, when
> the cursor emerges in the text below the image it is at the ends of the
> lines instead of in the first column. This seems to happen consistently
> after the "glitch" occurs.

Yes, I see this also.

Thanks.